# Algorithms_in_C++: data_structures::trie_using_hashmap::Trie::Node Struct Reference

Loading...
Searching...
No Matches
data_structures::trie_using_hashmap::Trie::Node Struct Reference

struct representing a trie node. More...

Collaboration diagram for data_structures::trie_using_hashmap::Trie::Node:
[legend]

## Public Attributes

std::unordered_map< char16_t, std::shared_ptr< Node > > | children
bool | word_end = false
| boolean variable to represent the node end

## Detailed Description

struct representing a trie node.

## Member Data Documentation

## children

std::unordered_map<char16_t, std::shared_ptr<Node> > data_structures::trie_using_hashmap::Trie::Node::children

unordered map with key type char16_t and value is a shared pointer type of Node

The documentation for this struct was generated from the following file:

- data_structures/trie_using_hashmap.cpp